
function Skinner:Violation()

	if Violation.db.char.showBars then 
		self:skinViolation() 
	else
		self:SecureHook(Violation, "CreateBarAnchor", function()
			self:skinViolation()
			self:Unhook(Violation, "CreateBarAnchor")
			end)
	end

end

function Skinner:skinViolation()

	self:SetDebugging(true)
	
	--	Find the frame
	local frame = ""
	local ef = "Interface\\AddOns\\Violation\\textures\\otravi-semi-full-border"
	for k, v in pairs({ UIParent:GetChildren() }) do
		if v:GetName() == nil then
			local bd = v:GetBackdrop()
--			self:Debug("sV: [%s, %s]", v, bd)
			if bd and string.find(bd.edgeFile, ef, 1, true) then
				frame = v
				break
			end
		end
	end
	
	if frame then
		if not frame.skinned then
			self:moveObject(frame.header, "+", 0, "+", 10, frame)
			self:moveObject(frame.closebutton, "+", 0, "+", 10, frame)
			self:applySkin(frame)
			frame.skinned = true
			-- hook these to stop the Backdrop colours from being changed 
			self:Hook(frame, "SetBackdropColor", function(r, g, b, a) end, true)
			self:Hook(frame, "SetBackdropBorderColor", function(r, g, b, a) end, true)
		end
	end

end
